package zijinlian

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/guanlixitong"
	"shylinux.com/x/enterprise/src/zijinlian/model"
)

type Table struct {
	guanlixitong.Table
	list string `name:"list capital_uid uid auto" role:"void"`
}

func (s Table) Inputs(m *ice.Message, arg ...string) {
	switch arg[0] {
	case model.USER_CAPITAL_ROLE:
		s.InputsListRole(m, UserCapitalRoleList, arg...)
	case model.CAPITAL_TYPE:
		s.InputsList(m, CapitalTypeList, arg...)
	default:
		s.Table.Inputs(m, arg...)
	}
}
func (s Table) RewriteAppend(m *ice.Message, arg ...string) *ice.Message {
	m.RewriteAppend(func(value, key string, index int) string {
		switch key {
		case model.USER_CAPITAL_ROLE:
			value = UserCapitalRole(kit.Int(value)).String()
		case model.CAPITAL_TYPE:
			value = CapitalType(kit.Int(value)).String()
		}
		return value
	})
	return s.Table.RewriteAppend(m)
}

type Tables struct{ Table }

func (s Tables) BeforeMigrate(m *ice.Message, arg ...string) {}
